opencv 2.2.0

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Public Types | Public Member Functions | List of all members
cv::WImageBuffer< T > Class Template Reference

`#include <wimage.hpp>`

Inheritance diagram for cv::WImageBuffer< T >:

## Public Types

typedef WImage< T >::BaseType | BaseType
Public Types inherited from cv::WImage< T >
typedef T | BaseType

## Public Member Functions

void | Allocate (int width, int height, int nchannels)
void | CloneFrom (const WImage< T > &src)
bool | IsNull () const
void | ReleaseImage ()
void | SetIpl (IplImage *img)
| WImageBuffer ()
| WImageBuffer (int width, int height, int nchannels)
| WImageBuffer (IplImage *img)
| ~WImageBuffer ()
Public Member Functions inherited from cv::WImage< T >
int | Channels () const
int | ChannelSize () const
void | CopyFrom (const WImage< T > &src)
int | Depth () const
int | Height () const
T * | ImageData ()
const T * | ImageData () const
IplImage * | Ipl ()
const IplImage * | Ipl () const
T * | operator() (int c, int r)
const T * | operator() (int c, int r) const
int | PixelSize () const
const T * | Row (int r) const
T * | Row (int r)
void | SetZero ()
WImageView< T > | View (int c, int r, int width, int height)
int | Width () const
int | WidthStep () const
virtual | ~WImage ()=0

## Additional Inherited Members

Protected Member Functions inherited from cv::WImage< T >
void | operator= (const WImage &)
void | SetIpl (IplImage *image)
| WImage (const WImage &)
| WImage (IplImage *img)
Protected Attributes inherited from cv::WImage< T >
IplImage * | image_

## Member Typedef Documentation

template<typename T >

typedef WImage<T>::BaseType cv::WImageBuffer< T >::BaseType

## Constructor & Destructor Documentation

template<typename T >

cv::WImageBuffer< T >::WImageBuffer | ( |  | ) |

inline

template<typename T >

cv::WImageBuffer< T >::WImageBuffer | ( | int | width,
|  | int | height,
|  | int | nchannels
| ) |  |

inline

template<typename T >

cv::WImageBuffer< T >::WImageBuffer | ( | IplImage * | img | ) |

inline explicit

template<typename T >

cv::WImageBuffer< T >::~WImageBuffer | ( |  | ) |

inline

## Member Function Documentation

template<typename T >

void WImageBuffer< T >::Allocate | ( | int | width,
|  | int | height,
|  | int | nchannels
| ) |  |

inline

template<typename T >

void cv::WImageBuffer< T >::CloneFrom | ( | const WImage< T > & | src | ) |

inline

template<typename T >

bool cv::WImageBuffer< T >::IsNull | ( |  | ) | const

inline

template<typename T >

void cv::WImageBuffer< T >::ReleaseImage | ( |  | ) |

inline

template<typename T >

void cv::WImageBuffer< T >::SetIpl | ( | IplImage * | img | ) |

inline

The documentation for this class was generated from the following file:

- /usr/ports/pobj/OpenCV-2.2.0/OpenCV-2.2.0/modules/core/include/opencv2/core/wimage.hpp